package cn.reghao.tnb.user.app.model.vo;

import cn.reghao.jutil.jdk.converter.DateTimeConverter;
import cn.reghao.tnb.user.app.model.constant.BillType;
import cn.reghao.tnb.user.app.model.po.WalletBill;

/**
 * @author reghao
 * @date 2024-09-13 15:33:25
 */
public class BillRecord {
    private String type;
    private Double quantity;
    private String createAt;

    public BillRecord(WalletBill walletBill) {
        this.type = BillType.getDescByCode(walletBill.getType());
        this.quantity = walletBill.getQuantity();
        this.createAt = DateTimeConverter.format(walletBill.getCreateAt());
    }
}
